## Apache Zeta Components Manual :: Docs For Class ezcGraphArrayDataSet

### Graph::ezcGraphArrayDataSet

### Class ezcGraphArrayDataSet

Dataset class which receives arrays and use them as a base for datasets.

Source for this file: /Graph/src/datasets/array.php

    ezcGraphDataSet
       |
       --ezcGraphArrayDataSet

Version: | //autogentag//

### Inherited Member Variables

From ezcGraphDataSet
protected | `ezcGraphDataSet::$current`
protected | `ezcGraphDataSet::$data`
protected | `ezcGraphDataSet::$keys`
protected | `ezcGraphDataSet::$pallet`
protected | `ezcGraphDataSet::$properties`

### Method Summary

public void | `__construct( $data )` Constructor
public int | `count( )` Returns the number of elements in this dataset
protected void | `createFromArray( [ $data = array()] )` setData

### Inherited Methods

From ezcGraphDataSet
public string | `ezcGraphDataSet::current()` Returns the currently selected datapoint.
public string | `ezcGraphDataSet::key()` Returns the key of the currently selected datapoint.
public float | `ezcGraphDataSet::next()` Returns the next datapoint and selects it or false on the last datapoint.
public bool | `ezcGraphDataSet::offsetExists()` Returns true if the given datapoint exists Allows isset() using ArrayAccess.
public float | `ezcGraphDataSet::offsetGet()` Returns the value for the given datapoint Get an datapoint value by ArrayAccess.
public void | `ezcGraphDataSet::offsetSet()` Sets the value for a datapoint.
public void | `ezcGraphDataSet::offsetUnset()` Unset an option.
public float | `ezcGraphDataSet::rewind()` Selects the very first datapoint and returns it.
public bool | `ezcGraphDataSet::valid()` Returns if the current datapoint is valid.
public mixed | `ezcGraphDataSet::__get()` Property get access.

### Methods

#### __construct

void __construct( array|Iterator $data )

Constructor

##### Parameters:

Name | Type | Description
--- | --- | ---
`$data` | array|Iterator | Array or Iterator containing the data

#### count

int count( )

Returns the number of elements in this dataset

#### createFromArray

void createFromArray( [array|Iterator $data = array()] )

setData

Can handle data provided through an array or iterator.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$data` | array|Iterator |

Documentation generated by phpDocumentor 1.4.3